NullOutputFormat (Hadoop 0.20.2+320 API)
Date: 2010-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.output
Class NullOutputFormat<K,V>

    java.lang.Object
      org.apache.hadoop.mapreduce.OutputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.output.NullOutputFormat<K,V>

    public class NullOutputFormat<K,V>

extends OutputFormat<K,V>

Consume all outputs and put them in /dev/null.

Constructor Summary
`NullOutputFormat()`

Method Summary
`void` | `checkOutputSpecs(JobContext context)` Check for validity of the output-specification for the job.
`OutputCommitter` | `getOutputCommitter(TaskAttemptContext context)` Get the output committer for this output format.
`RecordWriter<K,V>` | `getRecordWriter(TaskAttemptContext context)` Get the `RecordWriter` for the given task.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullOutputFormat

    public NullOutputFormat()

Method Detail

### getRecordWriter

    public RecordWriter<K,V> getRecordWriter(TaskAttemptContext context)

  Description copied from class: `OutputFormat`
  Get the `RecordWriter` for the given task.

  Specified by:
    `getRecordWriter` in class `OutputFormat<K,V>`
  Parameters:
    `context` - the information about the current task.
  Returns:
    a `RecordWriter` to write the output for the job.

### checkOutputSpecs

    public void checkOutputSpecs(JobContext context)

  Description copied from class: `OutputFormat`
  Check for validity of the output-specification for the job.

  This is to validate the output specification for the job when it is a job is submitted. Typically checks that it does not already exist, throwing an exception when it already exists, so that output is not overwritten.

  Specified by:
    `checkOutputSpecs` in class `OutputFormat<K,V>`
  Parameters:
    `context` - information about the job

### getOutputCommitter

    public OutputCommitter getOutputCommitter(TaskAttemptContext context)

  Description copied from class: `OutputFormat`
  Get the output committer for this output format. This is responsible for ensuring the output is committed correctly.

  Specified by:
    `getOutputCommitter` in class `OutputFormat<K,V>`
  Parameters:
    `context` - the task context
  Returns:
    an output committer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation